// -----------------------------------------------------------------------------
// This file contains CSS helper classes.
// -----------------------------------------------------------------------------

/**
 * Clear inner floats
 */
.clearfix::after {
	clear: both;
	content: '';
	display: table;
}

/**
 * Hide text while making it readable for screen readers
 * 1. Needed in WebKit-based browsers because of an implementation bug;
 *    See: https://code.google.com/p/chromium/issues/detail?id=457146
 */
.hide-text {
	overflow: hidden;
	padding: 0; /* 1 */
	text-indent: 101%;
	white-space: nowrap;
}

/**
 * Hide element while making it readable for screen readers
 * Shamelessly borrowed from HTML5Boilerplate:
 * https://github.com/h5bp/html5-boilerplate/blob/master/src/css/main.css#L119-L133
 */
.visually-hidden {
	border: 0;
	clip: rect(0 0 0 0);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
	width: 1px;
}

.display-none {
	display: none !important;
}

.column {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
}

.relative {
	position: relative;
}

.padding-bottom {
	padding-bottom: $page-paddings;
}

.padding-top {
	padding-top: $page-paddings;
}

.margin-bottom {
	margin-bottom: $page-margins;
}

.margin-top {
	margin-top: $page-margins;
}

.margin-auto {
	margin-left: auto !important;
	margin-right: auto !important;
}

// CSS Arrows
.arrow {
    border: solid currentColor;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;

	&.right {
	    transform: rotate(-45deg);
	}
	
	&.left {
	    transform: rotate(135deg);
	}
	
	&.up {
	    transform: rotate(-135deg);
	}
	
	&.down {
	    transform: rotate(45deg);
	}
} 